Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037344
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-11-21 13:152018-01-03 12:39
ReporterasiermartirenaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR18Q1
StatusclosedFix in branchFixed in SCM revisione5b78d273dd8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037344: Credit notes are always printed, even if they are not configured in the organization

DescriptionThere is not a OBPOS_PRINT_TEMPLATE record defined for the credit notes, so the creditnote.xml template is not selectable by default in the organization configuration.
To be able to print, in the GiftCardDetails.js and printGiftCardPrePrintHook.js files, the template is read directly from the route (using "../org.openbravo.retail.giftcards/res/creditnote.xml"). This is not correct. The template to print must always be taken from the organization, so a record must be defined in the OBPOS_PRINT_TEMPLATE file to add it by default.
Steps To ReproduceGo to the organization window having the giftcards module installed and the credit notes configured.

Check that the 'Credit Note Template' field is empty.

Load the Web POS and create a credit note.

Check that the credit note template is printed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0100844)
hgbot (developer)
2017-11-30 18:37

Repository: erp/devel/pi
Changeset: e5b78d273dd8115535fd5114d91ad3df2e3af2fe
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Thu Nov 30 18:02:35 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e5b78d273dd8115535fd5114d91ad3df2e3af2fe [^]

Fixes issue 37344: If same product is consumed and produced in same BOM
Production, produced transaction cost is calculated first

Before calculating the cost of a BOMPart transaction, cost of BOMProduction
transactions for the same product in previous production plans are calculated.

This fix is a contribution of Support Team.

---
M src/org/openbravo/costing/CostingAlgorithm.java
---
(0100845)
hgbot (developer)
2017-11-30 18:37

Repository: erp/devel/pi
Changeset: 1fde3c15b1a67f46b932af0561e070db8bb35e0b
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Nov 30 18:31:38 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1fde3c15b1a67f46b932af0561e070db8bb35e0b [^]

Related to Issue 37344. Code Review changes.

Moved query logic into it's own method.

---
M src/org/openbravo/costing/CostingAlgorithm.java
---
(0100846)
dmiguelez (developer)
2017-11-30 18:40

Wrong commit message
(0100935)
hgbot (developer)
2017-12-07 12:03

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: cc456d6165c416f8552f43e58529b00080a19bb7
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 07 16:33:21 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/cc456d6165c416f8552f43e58529b00080a19bb7 [^]

Related to issue 37344 : Added CreditNote to print templates

---
M src-db/database/sourcedata/OBPOS_PRINT_TEMPLATE.xml
M web/org.openbravo.retail.giftcards/js/components/GiftCardDetails.js
M web/org.openbravo.retail.giftcards/js/hooks/printGiftCardPrePrintHook.js
M web/org.openbravo.retail.giftcards/js/model/GiftCardUtils.js
---
(0101504)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101505)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-21 13:15 asiermartirena New Issue
2017-11-21 13:15 asiermartirena Assigned To => Retail
2017-11-21 13:15 asiermartirena Triggers an Emergency Pack => No
2017-11-21 13:24 asiermartirena Description Updated View Revisions
2017-11-30 18:37 hgbot Checkin
2017-11-30 18:37 hgbot Note Added: 0100844
2017-11-30 18:37 hgbot Status new => resolved
2017-11-30 18:37 hgbot Resolution open => fixed
2017-11-30 18:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e5b78d273dd8115535fd5114d91ad3df2e3af2fe [^]
2017-11-30 18:37 hgbot Checkin
2017-11-30 18:37 hgbot Note Added: 0100845
2017-11-30 18:40 dmiguelez Note Added: 0100846
2017-11-30 18:40 dmiguelez Status resolved => new
2017-11-30 18:40 dmiguelez Resolution fixed => open
2017-12-05 18:01 marvintm Category Gift cards and gift vouchers => Web POS
2017-12-06 13:03 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-12-06 13:03 ranjith_qualiantech_com Status new => scheduled
2017-12-07 12:03 hgbot Checkin
2017-12-07 12:03 hgbot Note Added: 0100935
2017-12-08 07:04 ranjith_qualiantech_com Status scheduled => resolved
2017-12-08 07:04 ranjith_qualiantech_com Resolution open => fixed
2017-12-11 09:58 marvintm Review Assigned To => marvintm
2017-12-11 09:58 marvintm Status resolved => closed
2017-12-11 09:58 marvintm Fixed in Version => RR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101504
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101505


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker